export const PageComponents = {
    install(Vue: any, opt: any) {
                Vue.component('account-gradation', () => import('@pages/base/account-gradation/account-gradation.vue'));
        Vue.component('account-quick-create', () => import('@pages/base/account-quick-create/account-quick-create.vue'));
        Vue.component('goal-child-goal-grid-view', () => import('@pages/sales/goal-child-goal-grid-view/goal-child-goal-grid-view.vue'));
        Vue.component('incident-edit-chlid-incident', () => import('@pages/service/incident-edit-chlid-incident/incident-edit-chlid-incident.vue'));
        Vue.component('invoice-info-invoice-view', () => import('@pages/finance/invoice-info-invoice-view/invoice-info-invoice-view.vue'));
        Vue.component('product-price-level-pro-prilv-grid-view', () => import('@pages/product/product-price-level-pro-prilv-grid-view/product-price-level-pro-prilv-grid-view.vue'));
        Vue.component('list-account-by-list', () => import('@pages/marketing/list-account-by-list/list-account-by-list.vue'));
        Vue.component('product-info-pro-info', () => import('@pages/product/product-info-pro-info/product-info-pro-info.vue'));
        Vue.component('competitor-option-view', () => import('@pages/sales/competitor-option-view/competitor-option-view.vue'));
        Vue.component('campaign-response-by-parent-key', () => import('@pages/marketing/campaign-response-by-parent-key/campaign-response-by-parent-key.vue'));
        Vue.component('account-edit-view', () => import('@pages/base/account-edit-view/account-edit-view.vue'));
        Vue.component('sales-literature-summary-view', () => import('@pages/sales/sales-literature-summary-view/sales-literature-summary-view.vue'));
        Vue.component('lead-pickup-view', () => import('@pages/sales/lead-pickup-view/lead-pickup-view.vue'));
        Vue.component('product-sales-literature-sal-lit-pro-grid-view', () => import('@pages/sales/product-sales-literature-sal-lit-pro-grid-view/product-sales-literature-sal-lit-pro-grid-view.vue'));
        Vue.component('incident-child-incident-grid-view', () => import('@pages/service/incident-child-incident-grid-view/incident-child-incident-grid-view.vue'));
        Vue.component('quote-info-abstract', () => import('@pages/sales/quote-info-abstract/quote-info-abstract.vue'));
        Vue.component('product-pickup-view', () => import('@pages/product/product-pickup-view/product-pickup-view.vue'));
        Vue.component('centeral-portal', () => import('@pages/ungroup/centeral-portal/centeral-portal.vue'));
        Vue.component('task-quick-create', () => import('@pages/base/task-quick-create/task-quick-create.vue'));
        Vue.component('opportunity-quick-create', () => import('@pages/sales/opportunity-quick-create/opportunity-quick-create.vue'));
        Vue.component('product-price-level-pro-prilv-edit-view', () => import('@pages/product/product-price-level-pro-prilv-edit-view/product-price-level-pro-prilv-edit-view.vue'));
        Vue.component('opportunity-info-product', () => import('@pages/sales/opportunity-info-product/opportunity-info-product.vue'));
        Vue.component('invoice-quick-create-view', () => import('@pages/finance/invoice-quick-create-view/invoice-quick-create-view.vue'));
        Vue.component('opportunity-competitor-opp-comp-grid-view', () => import('@pages/sales/opportunity-competitor-opp-comp-grid-view/opportunity-competitor-opp-comp-grid-view.vue'));
        Vue.component('goal-info-goal-view', () => import('@pages/sales/goal-info-goal-view/goal-info-goal-view.vue'));
        Vue.component('campaign-info-schedule', () => import('@pages/marketing/campaign-info-schedule/campaign-info-schedule.vue'));
        Vue.component('lead-con-lead-grid-view', () => import('@pages/sales/lead-con-lead-grid-view/lead-con-lead-grid-view.vue'));
        Vue.component('sales-order-info-view', () => import('@pages/sales/sales-order-info-view/sales-order-info-view.vue'));
        Vue.component('sales-order-detail-edit-view', () => import('@pages/sales/sales-order-detail-edit-view/sales-order-detail-edit-view.vue'));
        Vue.component('opportunity-grid-view', () => import('@pages/sales/opportunity-grid-view/opportunity-grid-view.vue'));
        Vue.component('goal-info-view', () => import('@pages/sales/goal-info-view/goal-info-view.vue'));
        Vue.component('letter-edit-view', () => import('@pages/base/letter-edit-view/letter-edit-view.vue'));
        Vue.component('transaction-currency-pickup-view', () => import('@pages/base/transaction-currency-pickup-view/transaction-currency-pickup-view.vue'));
        Vue.component('opportunity-product-edit-view', () => import('@pages/sales/opportunity-product-edit-view/opportunity-product-edit-view.vue'));
        Vue.component('incident-summary-view', () => import('@pages/service/incident-summary-view/incident-summary-view.vue'));
        Vue.component('metric-pickup-grid-view', () => import('@pages/base/metric-pickup-grid-view/metric-pickup-grid-view.vue'));
        Vue.component('email-edit-view', () => import('@pages/base/email-edit-view/email-edit-view.vue'));
        Vue.component('goal-grid-view', () => import('@pages/sales/goal-grid-view/goal-grid-view.vue'));
        Vue.component('account-grid-view', () => import('@pages/base/account-grid-view/account-grid-view.vue'));
        Vue.component('invoice-grid-view', () => import('@pages/finance/invoice-grid-view/invoice-grid-view.vue'));
        Vue.component('sales-literature-quick-create-view', () => import('@pages/sales/sales-literature-quick-create-view/sales-literature-quick-create-view.vue'));
        Vue.component('subject-pickup-grid-view', () => import('@pages/base/subject-pickup-grid-view/subject-pickup-grid-view.vue'));
        Vue.component('quote-info', () => import('@pages/sales/quote-info/quote-info.vue'));
        Vue.component('product-info-view', () => import('@pages/product/product-info-view/product-info-view.vue'));
        Vue.component('competitor-summary', () => import('@pages/sales/competitor-summary/competitor-summary.vue'));
        Vue.component('goal-edit-child-goal-view', () => import('@pages/sales/goal-edit-child-goal-view/goal-edit-child-goal-view.vue'));
        Vue.component('ibiz-list-grid-view', () => import('@pages/marketing/ibiz-list-grid-view/ibiz-list-grid-view.vue'));
        Vue.component('discount-type-pickup-view', () => import('@pages/sales/discount-type-pickup-view/discount-type-pickup-view.vue'));
        Vue.component('product-grid-view', () => import('@pages/product/product-grid-view/product-grid-view.vue'));
        Vue.component('ibiz-list-info-abstract', () => import('@pages/marketing/ibiz-list-info-abstract/ibiz-list-info-abstract.vue'));
        Vue.component('ibiz-list-info', () => import('@pages/marketing/ibiz-list-info/ibiz-list-info.vue'));
        Vue.component('lead-pickup-grid-view', () => import('@pages/sales/lead-pickup-grid-view/lead-pickup-grid-view.vue'));
        Vue.component('opportunity-pickup-view', () => import('@pages/sales/opportunity-pickup-view/opportunity-pickup-view.vue'));
        Vue.component('ibiz-list-option-view', () => import('@pages/marketing/ibiz-list-option-view/ibiz-list-option-view.vue'));
        Vue.component('product-quick-create-view', () => import('@pages/product/product-quick-create-view/product-quick-create-view.vue'));
        Vue.component('campaign-info-manager', () => import('@pages/marketing/campaign-info-manager/campaign-info-manager.vue'));
        Vue.component('contact-info-abstract', () => import('@pages/base/contact-info-abstract/contact-info-abstract.vue'));
        Vue.component('opportunity-info-abstract', () => import('@pages/sales/opportunity-info-abstract/opportunity-info-abstract.vue'));
        Vue.component('list-contact-edit-view', () => import('@pages/marketing/list-contact-edit-view/list-contact-edit-view.vue'));
        Vue.component('invoice-detail-edit-view', () => import('@pages/finance/invoice-detail-edit-view/invoice-detail-edit-view.vue'));
        Vue.component('campaign-grid-view', () => import('@pages/marketing/campaign-grid-view/campaign-grid-view.vue'));
        Vue.component('list-lead-by-list', () => import('@pages/marketing/list-lead-by-list/list-lead-by-list.vue'));
        Vue.component('product-association-edit-view', () => import('@pages/product/product-association-edit-view/product-association-edit-view.vue'));
        Vue.component('lead-info-company', () => import('@pages/sales/lead-info-company/lead-info-company.vue'));
        Vue.component('account-info-major-contact', () => import('@pages/base/account-info-major-contact/account-info-major-contact.vue'));
        Vue.component('sales-order-grid-view', () => import('@pages/sales/sales-order-grid-view/sales-order-grid-view.vue'));
        Vue.component('campaign-activity-edit-view', () => import('@pages/marketing/campaign-activity-edit-view/campaign-activity-edit-view.vue'));
        Vue.component('contact-quick-create', () => import('@pages/base/contact-quick-create/contact-quick-create.vue'));
        Vue.component('lead-info-market', () => import('@pages/sales/lead-info-market/lead-info-market.vue'));
        Vue.component('competitor-info-abstract', () => import('@pages/sales/competitor-info-abstract/competitor-info-abstract.vue'));
        Vue.component('metric-pickup-view', () => import('@pages/base/metric-pickup-view/metric-pickup-view.vue'));
        Vue.component('metric-edit-view', () => import('@pages/base/metric-edit-view/metric-edit-view.vue'));
        Vue.component('phone-call-edit-view', () => import('@pages/base/phone-call-edit-view/phone-call-edit-view.vue'));
        Vue.component('sales-order-quick-create-view', () => import('@pages/sales/sales-order-quick-create-view/sales-order-quick-create-view.vue'));
        Vue.component('lead-quick-create', () => import('@pages/sales/lead-quick-create/lead-quick-create.vue'));
        Vue.component('competitor-pickup-grid-view', () => import('@pages/sales/competitor-pickup-grid-view/competitor-pickup-grid-view.vue'));
        Vue.component('price-level-pickup-view', () => import('@pages/product/price-level-pickup-view/price-level-pickup-view.vue'));
        Vue.component('invoice-summary-view', () => import('@pages/finance/invoice-summary-view/invoice-summary-view.vue'));
        Vue.component('opportunity-edit-view', () => import('@pages/sales/opportunity-edit-view/opportunity-edit-view.vue'));
        Vue.component('lead-info-contact', () => import('@pages/sales/lead-info-contact/lead-info-contact.vue'));
        Vue.component('sales-literature-item-edit-view', () => import('@pages/sales/sales-literature-item-edit-view/sales-literature-item-edit-view.vue'));
        Vue.component('competitor-grid-view', () => import('@pages/sales/competitor-grid-view/competitor-grid-view.vue'));
        Vue.component('account-summary', () => import('@pages/base/account-summary/account-summary.vue'));
        Vue.component('sales-literature-info-view', () => import('@pages/sales/sales-literature-info-view/sales-literature-info-view.vue'));
        Vue.component('opportunity-product-opp-opp-pro-grid-view', () => import('@pages/sales/opportunity-product-opp-opp-pro-grid-view/opportunity-product-opp-opp-pro-grid-view.vue'));
        Vue.component('ibiz-list-quick-create', () => import('@pages/marketing/ibiz-list-quick-create/ibiz-list-quick-create.vue'));
        Vue.component('product-association-grid-view', () => import('@pages/product/product-association-grid-view/product-association-grid-view.vue'));
        Vue.component('appointment-quick-create', () => import('@pages/base/appointment-quick-create/appointment-quick-create.vue'));
        Vue.component('quote-detail-quo-detail-grid-view', () => import('@pages/sales/quote-detail-quo-detail-grid-view/quote-detail-quo-detail-grid-view.vue'));
        Vue.component('campaign-response-edit-view', () => import('@pages/marketing/campaign-response-edit-view/campaign-response-edit-view.vue'));
        Vue.component('campaign-activity-quick-create', () => import('@pages/marketing/campaign-activity-quick-create/campaign-activity-quick-create.vue'));
        Vue.component('campaign-info', () => import('@pages/marketing/campaign-info/campaign-info.vue'));
        Vue.component('list-contact-grid-view', () => import('@pages/marketing/list-contact-grid-view/list-contact-grid-view.vue'));
        Vue.component('fax-edit-view', () => import('@pages/base/fax-edit-view/fax-edit-view.vue'));
        Vue.component('incident-quick-create-view', () => import('@pages/service/incident-quick-create-view/incident-quick-create-view.vue'));
        Vue.component('campaign-list-grid-view', () => import('@pages/marketing/campaign-list-grid-view/campaign-list-grid-view.vue'));
        Vue.component('lead-grid-view', () => import('@pages/sales/lead-grid-view/lead-grid-view.vue'));
        Vue.component('activity-pointer-edit-view', () => import('@pages/base/activity-pointer-edit-view/activity-pointer-edit-view.vue'));
        Vue.component('subject-pickup-view', () => import('@pages/base/subject-pickup-view/subject-pickup-view.vue'));
        Vue.component('goal-quick-create-view', () => import('@pages/sales/goal-quick-create-view/goal-quick-create-view.vue'));
        Vue.component('sales-literature-grid-view', () => import('@pages/sales/sales-literature-grid-view/sales-literature-grid-view.vue'));
        Vue.component('incident-info-view', () => import('@pages/service/incident-info-view/incident-info-view.vue'));
        Vue.component('product-summary-view', () => import('@pages/product/product-summary-view/product-summary-view.vue'));
        Vue.component('quote-grid-view', () => import('@pages/sales/quote-grid-view/quote-grid-view.vue'));
        Vue.component('sales-literature-info-sal-lit-view', () => import('@pages/sales/sales-literature-info-sal-lit-view/sales-literature-info-sal-lit-view.vue'));
        Vue.component('quote-option-view', () => import('@pages/sales/quote-option-view/quote-option-view.vue'));
        Vue.component('goal-pickup-view', () => import('@pages/sales/goal-pickup-view/goal-pickup-view.vue'));
        Vue.component('opportunity-summary', () => import('@pages/sales/opportunity-summary/opportunity-summary.vue'));
        Vue.component('goal-pickup-grid-view', () => import('@pages/sales/goal-pickup-grid-view/goal-pickup-grid-view.vue'));
        Vue.component('list-contact-inner', () => import('@pages/marketing/list-contact-inner/list-contact-inner.vue'));
        Vue.component('campaign-info-campagin', () => import('@pages/marketing/campaign-info-campagin/campaign-info-campagin.vue'));
        Vue.component('appointment-edit-view', () => import('@pages/base/appointment-edit-view/appointment-edit-view.vue'));
        Vue.component('contact-info', () => import('@pages/base/contact-info/contact-info.vue'));
        Vue.component('quote-summary', () => import('@pages/sales/quote-summary/quote-summary.vue'));
        Vue.component('contact-pickup-grid-view', () => import('@pages/base/contact-pickup-grid-view/contact-pickup-grid-view.vue'));
        Vue.component('list-account-edit-view', () => import('@pages/marketing/list-account-edit-view/list-account-edit-view.vue'));
        Vue.component('invoice-detail-invoice-pro-grid-view', () => import('@pages/finance/invoice-detail-invoice-pro-grid-view/invoice-detail-invoice-pro-grid-view.vue'));
        Vue.component('entitlement-pickup-grid-view', () => import('@pages/service/entitlement-pickup-grid-view/entitlement-pickup-grid-view.vue'));
        Vue.component('opportunity-info', () => import('@pages/sales/opportunity-info/opportunity-info.vue'));
        Vue.component('transaction-currency-pickup-grid-view', () => import('@pages/base/transaction-currency-pickup-grid-view/transaction-currency-pickup-grid-view.vue'));
        Vue.component('service-appointment-edit-view', () => import('@pages/service/service-appointment-edit-view/service-appointment-edit-view.vue'));
        Vue.component('contact-grid-view', () => import('@pages/base/contact-grid-view/contact-grid-view.vue'));
        Vue.component('product-substitute-edit-view', () => import('@pages/product/product-substitute-edit-view/product-substitute-edit-view.vue'));
        Vue.component('activity-pointer-grid-view', () => import('@pages/base/activity-pointer-grid-view/activity-pointer-grid-view.vue'));
        Vue.component('campaign-activity-by-parent-key', () => import('@pages/marketing/campaign-activity-by-parent-key/campaign-activity-by-parent-key.vue'));
        Vue.component('account-pickup-view', () => import('@pages/base/account-pickup-view/account-pickup-view.vue'));
        Vue.component('uom-pickup-grid-view', () => import('@pages/base/uom-pickup-grid-view/uom-pickup-grid-view.vue'));
        Vue.component('price-level-pickup-grid-view', () => import('@pages/product/price-level-pickup-grid-view/price-level-pickup-grid-view.vue'));
        Vue.component('quote-opp-qua-grid-view', () => import('@pages/sales/quote-opp-qua-grid-view/quote-opp-qua-grid-view.vue'));
        Vue.component('invoice-info-view', () => import('@pages/finance/invoice-info-view/invoice-info-view.vue'));
        Vue.component('contact-by-account', () => import('@pages/base/contact-by-account/contact-by-account.vue'));
        Vue.component('opportunity-opp-pro-dashboard-view', () => import('@pages/sales/opportunity-opp-pro-dashboard-view/opportunity-opp-pro-dashboard-view.vue'));
        Vue.component('ibiz-list-summary', () => import('@pages/marketing/ibiz-list-summary/ibiz-list-summary.vue'));
        Vue.component('sales-literature-item-grid-view', () => import('@pages/sales/sales-literature-item-grid-view/sales-literature-item-grid-view.vue'));
        Vue.component('lead-dashboard-view', () => import('@pages/sales/lead-dashboard-view/lead-dashboard-view.vue'));
        Vue.component('campaign-quick-create-view', () => import('@pages/marketing/campaign-quick-create-view/campaign-quick-create-view.vue'));
        Vue.component('discount-type-pickup-grid-view', () => import('@pages/sales/discount-type-pickup-grid-view/discount-type-pickup-grid-view.vue'));
        Vue.component('list-account-quick-create-by-list', () => import('@pages/marketing/list-account-quick-create-by-list/list-account-quick-create-by-list.vue'));
        Vue.component('campaign-list-edit-view', () => import('@pages/marketing/campaign-list-edit-view/campaign-list-edit-view.vue'));
        Vue.component('competitor-info', () => import('@pages/sales/competitor-info/competitor-info.vue'));
        Vue.component('account-pickup-grid-view', () => import('@pages/base/account-pickup-grid-view/account-pickup-grid-view.vue'));
        Vue.component('lead-info', () => import('@pages/sales/lead-info/lead-info.vue'));
        Vue.component('product-pickup-grid-view', () => import('@pages/product/product-pickup-grid-view/product-pickup-grid-view.vue'));
        Vue.component('list-lead-quick-create-by-list', () => import('@pages/marketing/list-lead-quick-create-by-list/list-lead-quick-create-by-list.vue'));
        Vue.component('goal-summary-view', () => import('@pages/sales/goal-summary-view/goal-summary-view.vue'));
        Vue.component('account-info', () => import('@pages/base/account-info/account-info.vue'));
        Vue.component('lead-info-detail', () => import('@pages/sales/lead-info-detail/lead-info-detail.vue'));
        Vue.component('sales-order-detail-soproduct-grid-view', () => import('@pages/sales/sales-order-detail-soproduct-grid-view/sales-order-detail-soproduct-grid-view.vue'));
        Vue.component('account-info-all', () => import('@pages/base/account-info-all/account-info-all.vue'));
        Vue.component('opportunity-competitor-edit-view', () => import('@pages/sales/opportunity-competitor-edit-view/opportunity-competitor-edit-view.vue'));
        Vue.component('incident-info-incident-view', () => import('@pages/service/incident-info-incident-view/incident-info-incident-view.vue'));
        Vue.component('competitor-sales-literature-sal-lit-comp-edit-view', () => import('@pages/sales/competitor-sales-literature-sal-lit-comp-edit-view/competitor-sales-literature-sal-lit-comp-edit-view.vue'));
        Vue.component('sales-order-info-soview', () => import('@pages/sales/sales-order-info-soview/sales-order-info-soview.vue'));
        Vue.component('activity-pointer-by-parent-key', () => import('@pages/base/activity-pointer-by-parent-key/activity-pointer-by-parent-key.vue'));
        Vue.component('entitlement-pickup-view', () => import('@pages/service/entitlement-pickup-view/entitlement-pickup-view.vue'));
        Vue.component('uom-pickup-view', () => import('@pages/base/uom-pickup-view/uom-pickup-view.vue'));
        Vue.component('list-account-inner', () => import('@pages/marketing/list-account-inner/list-account-inner.vue'));
        Vue.component('contact-summary-view', () => import('@pages/base/contact-summary-view/contact-summary-view.vue'));
        Vue.component('task-edit-view', () => import('@pages/base/task-edit-view/task-edit-view.vue'));
        Vue.component('product-substitute-grid-view', () => import('@pages/product/product-substitute-grid-view/product-substitute-grid-view.vue'));
        Vue.component('competitor-pickup-view', () => import('@pages/sales/competitor-pickup-view/competitor-pickup-view.vue'));
        Vue.component('product-sales-literature-sal-lit-pro-edit-view', () => import('@pages/sales/product-sales-literature-sal-lit-pro-edit-view/product-sales-literature-sal-lit-pro-edit-view.vue'));
        Vue.component('sales-order-summary-view', () => import('@pages/sales/sales-order-summary-view/sales-order-summary-view.vue'));
        Vue.component('quote-detail-edit-view', () => import('@pages/sales/quote-detail-edit-view/quote-detail-edit-view.vue'));
        Vue.component('quote-edit-view', () => import('@pages/sales/quote-edit-view/quote-edit-view.vue'));
        Vue.component('incident-grid-view', () => import('@pages/service/incident-grid-view/incident-grid-view.vue'));
        Vue.component('account-inner-pickup-view', () => import('@pages/base/account-inner-pickup-view/account-inner-pickup-view.vue'));
        Vue.component('contact-edit-market', () => import('@pages/base/contact-edit-market/contact-edit-market.vue'));
        Vue.component('competitor-sales-literature-sal-lit-comp-grid-view', () => import('@pages/sales/competitor-sales-literature-sal-lit-comp-grid-view/competitor-sales-literature-sal-lit-comp-grid-view.vue'));
        Vue.component('opportunity-con-opp-grid-view', () => import('@pages/sales/opportunity-con-opp-grid-view/opportunity-con-opp-grid-view.vue'));
        Vue.component('campaign-summary-head', () => import('@pages/marketing/campaign-summary-head/campaign-summary-head.vue'));
        Vue.component('account-edit-account-info', () => import('@pages/base/account-edit-account-info/account-edit-account-info.vue'));
        Vue.component('opportunity-pickup-grid-view', () => import('@pages/sales/opportunity-pickup-grid-view/opportunity-pickup-grid-view.vue'));
        Vue.component('account-inner-pickup-grid-view', () => import('@pages/base/account-inner-pickup-grid-view/account-inner-pickup-grid-view.vue'));
        Vue.component('contact-edit-address', () => import('@pages/base/contact-edit-address/contact-edit-address.vue'));
        Vue.component('campaign-response-quick-create', () => import('@pages/marketing/campaign-response-quick-create/campaign-response-quick-create.vue'));
        Vue.component('activity-pointer-redirect-view', () => import('@pages/base/activity-pointer-redirect-view/activity-pointer-redirect-view.vue'));
        Vue.component('account-edit-introduction', () => import('@pages/base/account-edit-introduction/account-edit-introduction.vue'));
        Vue.component('metric-grid-view', () => import('@pages/base/metric-grid-view/metric-grid-view.vue'));
        Vue.component('contact-edit-book', () => import('@pages/base/contact-edit-book/contact-edit-book.vue'));
        Vue.component('campaign-summary', () => import('@pages/marketing/campaign-summary/campaign-summary.vue'));
        Vue.component('contact-pickup-view', () => import('@pages/base/contact-pickup-view/contact-pickup-view.vue'));
        Vue.component('account-edit-address', () => import('@pages/base/account-edit-address/account-edit-address.vue'));
        Vue.component('contact-edit-person', () => import('@pages/base/contact-edit-person/contact-edit-person.vue'));
    }
};